Submit proof of payment
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form bankId=1 \
--form proof=@example-fileconst form = new FormData();
form.append('bankId', '1');
form.append('proof', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof"
files = { "proof": ("example-file", open("example-file", "rb")) }
payload = { "bankId": "1" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"bankId\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440003",
"proofUrl": "https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof"
}Treasury
Submit proof of payment
Upload a PDF or image (JPEG, PNG, WebP) proof of payment for a deposit and submit it to ops for review. Allowed while the deposit is waiting_pop, pending, or declined (not approved or expired). Sets or restores status to pending. Use the bank id returned when the deposit was created.
POST
/
api
/
v1
/
business
/
treasury
/
deposits
/
{id}
/
proof
Submit proof of payment
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form bankId=1 \
--form proof=@example-fileconst form = new FormData();
form.append('bankId', '1');
form.append('proof', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof"
files = { "proof": ("example-file", open("example-file", "rb")) }
payload = { "bankId": "1" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/treasury/deposits/{id}/proof"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"bankId\"\r\n\r\n1\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440003",
"proofUrl": "https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof"
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Body
multipart/form-data